DESCRIPTION = "LoRa Packet Forwarder"
HOMEPAGE = "https://github.com/Lora-net/sx1302_hal"
PRIORITY = "optional"
SECTION = "console/utils"
# Semtech license is a modified BSD-style license
LICENSE = "Proprietary"
LIC_FILES_CHKSUM = "file://LICENSE.TXT;md5=d2119120bd616e725f4580070bd9ee19"
DEPENDS = "logrotate"
RDEPENDS_${PN} += "bash"
PR = "r1"

# SRCREV = "100104ee350a0e469b348ac383486d311caaf5e5"
SRCREV = "V${PV}"

SRC_URI = "git://github.com/Lora-net/sx1302_hal.git;protocol=git;branch=master \
           file://reset_lgw.sh \
"


S = "${WORKDIR}/git"
B = "${S}"

LORA_DIR = "/opt/lora"


CFLAGS += " -I${S}/packet_forwarder/inc -I${S}/libloragw/inc -I${S}/libtools/inc -I${S}/inc -I. -std=gnu11"

do_compile() {
  oe_runmake packet_forwarder LDFLAGS=${LDFLAGS}
  oe_runmake util_boot LDFLAGS=${LDFLAGS}
  oe_runmake util_chip_id FLAGS=${LDFLAGS}
  oe_runmake util_net_downlink LDFLAGS=${LDFLAGS}
  # oe_runmake util_spectral_scan LDFLAGS=${LDFLAGS}
}

do_install() {
  install -d ${D}${LORA_DIR}
  install -d ${D}${LORA_DIR}/forwarder-utils-sx1303
  install -d ${D}${LORA_DIR}/gateway-utils-sx1303
  install -m 755 ${WORKDIR}/reset_lgw.sh ${D}${LORA_DIR}/
  install -m 755 packet_forwarder/lora_pkt_fwd ${D}${LORA_DIR}/lora_pkt_fwd_sx1303
  install -m 644 packet_forwarder/global_conf.json.sx1250.US915 ${D}${LORA_DIR}/
  install -m 644 packet_forwarder/global_conf.json.sx1250.EU868 ${D}${LORA_DIR}/
  install -m 755 libloragw/test_loragw* ${D}${LORA_DIR}/gateway-utils-sx1303/
  install -m 755 util_boot/boot ${D}${LORA_DIR}/forwarder-utils-sx1303/util_boot
  install -m 755 util_chip_id/chip_id ${D}${LORA_DIR}/forwarder-utils-sx1303/util_chip_id
  install -m 755 util_net_downlink/net_downlink ${D}${LORA_DIR}/forwarder-utils-sx1303/util_net_downlink
  # install -m 755 util_spectral_scan/util_spectral_scan ${D}${LORA_DIR}/forwarder-utils-sx1303/
}

do_install_append_mtcdt() {
}

do_install_append_mtcap() {
}

do_install_append_mtcdt3() {
}

do_install_append_mtcdt3hs() {
}


FILES_${PN} += "${LORA_DIR}"

# disable this on purpose for dev purposes
do_rm_work() {
  echo "skipping"
}
