inherit update-rc.d

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://LICENSE;md5=593c81e8a2bd8b4c4e310d8792372b13"

PACKAGE_ARCH = "${MACHINE_ARCH}"

DEPENDS = "fcgi jsoncpp shadow"
RDEPENDS_${PN} += "jsoncpp lighttpd lighttpd-module-fastcgi lighttpd-module-openssl lighttpd-module-redirect bash openssl-bin"
RDEPENDS_${PN}-php-fpm += "php-fpm ${PN}"
PACKAGES =+ "${PN}-php-fpm"

INITSCRIPT_PACKAGES = "${PN} ${PN}-php-fpm"
INITSCRIPT_NAME_${PN} = "commission "
INITSCRIPT_PARAMS_${PN} = "start 09 2 3 4 5 ."
INITSCRIPT_NAME_${PN}-php-fpm = "commission-php-fpm"
INITSCRIPT_PARAMS_${PN}-php-fpm = "start 09 2 3 4 5 ."

PR = "r2"
SRCREV = "${PV}"

FILES_${PN}-php-fpm = "/etc/init.d/commission-php-fpm"
FILES_${PN} += "/www/"

SRC_URI = "git://git.multitech.net/commissioning;branch=master"

S = "${WORKDIR}/git"
do_compile() {
    oe_runmake all
}
do_install() {

    cp -a ${S}/${sysconfdir}/ ${D}/
    cp -a ${S}/www/ ${D}/
    cp -a ${S}/${prefix} ${D}/
    cp -a ${S}/usr/ ${D}/
    chmod 755 ${D}/usr/bin/*
    chmod 755 ${D}/etc/init.d/*
    chmod 755 ${D}/${libexecdir}/commission/*
    chown -R root:root ${D}/

    oe_runmake install DESTDIR=${D}
    chmod 755 ${D}/usr/bin/commissioning.fcgi
}
